Skip to main content
PATCH
/
projects
/
{project_id}
Update Project
curl --request PATCH \
  --url https://api.example.com/projects/{project_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "description": "<string>",
  "name": "<string>"
}
'
{
  "created_by": "<string>",
  "id": "<string>",
  "name": "<string>",
  "namespace_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "description": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.terminaluse.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

project_id
string
required

Body

application/json

Request model for updating a project.

description
string | null

Optional project description.

Maximum string length: 1000
name
string | null

Project name.

Required string length: 1 - 255

Response

Successful Response

Response model for project.

created_by
string
required

member_id of the creator.

id
string
required

The unique identifier of the project.

name
string
required

Project name.

namespace_id
string
required

The namespace this project belongs to.

created_at
string<date-time> | null

When the project was created.

description
string | null

Optional project description.